package org.gcube.portlets.admin.createusers.shared;

import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;
import com.google.gwt.user.client.rpc.impl.ReflectionHelper;

@SuppressWarnings("deprecation")
public class VreUserBean_Array_Rank_1_FieldSerializer implements com.google.gwt.user.client.rpc.impl.TypeHandler {
  public static void deserialize(SerializationStreamReader streamReader, org.gcube.portlets.admin.createusers.shared.VreUserBean[] instance) throws SerializationException {
    com.google.gwt.user.client.rpc.core.java.lang.Object_Array_CustomFieldSerializer.deserialize(streamReader, instance);
  }
  
  public static org.gcube.portlets.admin.createusers.shared.VreUserBean[] instantiate(SerializationStreamReader streamReader) throws SerializationException {
    int size = streamReader.readInt();
    return new org.gcube.portlets.admin.createusers.shared.VreUserBean[size];
  }
  
  public static void serialize(SerializationStreamWriter streamWriter, org.gcube.portlets.admin.createusers.shared.VreUserBean[] instance) throws SerializationException {
    com.google.gwt.user.client.rpc.core.java.lang.Object_Array_CustomFieldSerializer.serialize(streamWriter, instance);
  }
  
  public Object create(SerializationStreamReader reader) throws SerializationException {
    return org.gcube.portlets.admin.createusers.shared.VreUserBean_Array_Rank_1_FieldSerializer.instantiate(reader);
  }
  
  public void deserial(SerializationStreamReader reader, Object object) throws SerializationException {
    org.gcube.portlets.admin.createusers.shared.VreUserBean_Array_Rank_1_FieldSerializer.deserialize(reader, (org.gcube.portlets.admin.createusers.shared.VreUserBean[])object);
  }
  
  public void serial(SerializationStreamWriter writer, Object object) throws SerializationException {
    org.gcube.portlets.admin.createusers.shared.VreUserBean_Array_Rank_1_FieldSerializer.serialize(writer, (org.gcube.portlets.admin.createusers.shared.VreUserBean[])object);
  }
  
}
